Simplified.ID API: v2

<back to all web services

GetAccountStatus

Account
The following routes are available for this service:
GET/account/statusGet account status
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*


@DataContract
open class GetAccountStatus : BaseRequest()
{
}

@DataContract
open class BaseRequest : IBaseRequest
{
    /**
    * The authentication credentials
    */
    @DataMember
    @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
    override var authentication:Authentication? = null
}

@DataContract
open class Authentication
{
    /**
    * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
    */
    @DataMember
    @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
    open var apiUserId:String? = null

    /**
    * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
    */
    @DataMember
    @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
    open var apiUserKey:String? = null

    /**
    * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
    */
    @DataMember
    @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
    open var userId:String? = null
}

@DataContract
open class GetAccountStatusResponse
{
    /**
    * The response data
    */
    @DataMember
    @ApiMember(Description="The response data")
    @SerializedName("data") open var Data:GetAccountStatusData? = null
}

open class GetAccountStatusData : BaseResponse()
{
    /**
    * The account status information
    */
    @ApiMember(Description="The account status information")
    open var accountStatus:AccountStatus? = null
}

open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
    /**
    * The status of the response
    */
    @ApiMember(Description="The status of the response")
    override var responseStatus:ResponseStatus? = null
}

open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}

open class AccountStatus
{
    /**
    * The account status (e.g. Unpaid, Active, Expired)
    */
    @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)")
    open var status:String? = null

    /**
    * The account type (e.g. live, developer, demo)
    */
    @ApiMember(Description="The account type (e.g. live, developer, demo)")
    @SerializedName("type") open var Type:String? = null

    /**
    * The account Expiry Date
    */
    @ApiMember(Description="The account Expiry Date")
    open var expiryDate:Date? = null

    /**
    * The account Expiry Date as a string in ISO 8601 format
    */
    @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format")
    open var expiryDateUniversal:String? = null

    /**
    * The account balance
    */
    @ApiMember(Description="The account balance")
    open var balance:BigDecimal? = null

    /**
    * The account search credit balance
    */
    @ApiMember(Description="The account search credit balance")
    open var creditBalance:Long? = null

    /**
    * The account DBS credit balance
    */
    @ApiMember(Description="The account DBS credit balance")
    open var dbsBasicCreditBalance:Int? = null

    /**
    * The list of enabled products for this account
    */
    @ApiMember(Description="The list of enabled products for this account")
    open var products:ArrayList<String>? = null

    /**
    * The list of enabled capabilities for this account
    */
    @ApiMember(Description="The list of enabled capabilities for this account")
    open var capabilities:ArrayList<String>? = null
}

Kotlin GetAccountStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /account/status HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"accountStatus":{"status":"String","type":"String","expiryDate":"\/Date(-62135596800000-0000)\/","expiryDateUniversal":"String","balance":0,"creditBalance":0,"dbsBasicCreditBalance":0,"products":["String"],"capabilities":["String"]},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}